Autore Topic: ie tab v2  (Letto 583 volte)

0 Utenti e 1 Visitatore stanno visualizzando questo topic.

Offline joshwel12

  • Post: 4
ie tab v2
« il: 31 Marzo 2017 10:23:50 »
Buongiorno,
chiedo scusa se non ho inserito il post nella sezione corretta.
Volevo chiedere aiuto sul malfunzionamento di ie tab v2 nella versione Firefox 52.0.2
Non mi funziona più e non sò come visualizzare un indirizzo web di explorer sul firefox.
Mi dice che il componente aggiuntivo non è disponibile per la versione aggiornata del browser.
Qualcuno può aiutarmi?

Grazie in anticipo

Simone

Offline miki64

  • Moderatore
  • Post: 26994
Re: ie tab v2
« Risposta #1 il: 31 Marzo 2017 10:29:23 »
Scusa la domanda, per la precisione a che cosa ti serve quell'estensione? Forse potremmo proporti un'altra via.

Offline joshwel12

  • Post: 4
Re: ie tab v2
« Risposta #2 il: 31 Marzo 2017 10:33:54 »
Ciao,
mi serve visualizzare una pagina web che funziona in internet explorer ma utilizzarla in firefox perchè lo conosco meglio.
Questo sito web ha dei protocolli funzionanti solo in explorer, quindi volevo utilizzarla in firefox.
Mi ha sempre funzionato finche non l'ho aggiornato

Offline deckard

  • Post: 2369
Re: ie tab v2
« Risposta #3 il: 31 Marzo 2017 11:21:16 »
Si tratta di questo componente aggiuntivo:
IE Tab V2 (Enhanced IE Tab) 6.2.18.1
https://addons.mozilla.org/it/firefox/addon/ie-tab-2-ff-36/
L'ultimo aggiornamento risale a Febbraio 2016 per renderlo compatibile con E10s (Multi-Process Firefox).
C'è la pagina ufficiale (https://www.ietab.net/) ma il gruppo di discussione (forum) è stato chiuso.
Non so se lo aggiorneranno per Firefox o se più plausibilmente ne faranno una versione compatibile con il nuovo sistema basato sulle Webextensions. Da quello che capisco si sono concentrati su Chrome. Aggiungiamoci poi il fatto che in Windows 10 il browser preinstallato e predefinito di base è e dovrebbe essere EDGE e IE (forse) può essere installato a parte.
(Probabilmente c'è un legame tra il "malfunzionamento" e il supporto ai plugin diversi da Flash e Silverlight. IeTab richiedeva la presenza di un plugin per "connettere Firefox a IE", detto in parole molto povere e approssimative...)

Edit: Aggiungo che forse l'unica possibilità è l'utilizzo di Firefox 45.8.0 ESR a 32 bit, in quanto la versione 52.0.2 ESR a 32 potrebbe non andare bene allo scopo. Si noti che Firefox 45.* verrà supportato ancora per circa 9/10 settimane.
« Ultima modifica: 31 Marzo 2017 11:24:38 da deckard »

Offline joshwel12

  • Post: 4
Re: ie tab v2
« Risposta #4 il: 31 Marzo 2017 11:55:58 »
Ciao Deckard,
che mi consigli di fare?
Scaricare la versione inferiore per continuare ad utilizzare il plugin oppure spostarmi su Chrome che risulta ancora funzionante?
Accetto qualsiasi suggerimento, anche installare un ulteriore browser nuovo.

Grazie in anticipo

Simone

Offline deckard

  • Post: 2369
Re: ie tab v2
« Risposta #5 il: 31 Marzo 2017 12:41:02 »
Puoi provare con un profilo nuovo (e senza rimuovere quello in uso) la versione 45.8.0 di Firefox ESR a 32 bit e vedere se il componente aggiuntivo funziona correttamente.
Se le prove vanno a buon fine puoi (re)installare IE Tab V2 (Enhanced IE Tab) nel profilo principale (mantenendo la versione 45).

Quando poi sarà necessario/opportuno aggiornare Firefox 45 ESR alla versione 52.2.0 (sempre a 32 bit) dubito che il componente aggiuntivo funzioni (se non è stato aggiornato).

Se desideri adoperare Chrome io "non vorrei" e "non potrei" consigliarti o sconsigliarti di farlo. Posso solo dirti di valutare i vantaggi e gli svantaggi di entrambi i programmi, Firefox e Chrome, e poi decidere quale o quali adoperare sulla base dell'esperienza utente avuta e sulla base delle proprie necessità. I programmi nascono per rispondere ai bisogni dell'utenza. Una volta compresi i propri bisogni, si sceglie.
« Ultima modifica: 31 Marzo 2017 14:50:35 da miki64 »

Offline joshwel12

  • Post: 4
Re: ie tab v2
« Risposta #6 il: 31 Marzo 2017 13:07:11 »
Ciao Deckard,
io proverò questo nuovo profilo, la versione 45 e finchè dura la userò.
Sono un firefox dipendente, lo uso dovunque (mobile e desktop) e lo installo in tutti i pc che ho sotto mano.
Speriamo che questo bug della incompatibilità di questo plugin si risolva con una nuova versione, altrimenti troverò il modo di operare anche direttamente su explorer solo per questo sito web.

Grazie del tuo supporto
Buona giornata

Simone

Offline deckard

  • Post: 2369
Re: ie tab v2
« Risposta #7 il: 31 Marzo 2017 22:57:48 »
Non sono graniticamente sicuro al 101% che l'incompatibilità sia legata al supporto dei plugin, ma mi sembra una spiegazione ragionevole e plausibile.
Se così fosse non si tratterebbe di un bug ma di una funzionalità.
Mozilla ha deciso di supportare solo Flash e Silverlight nelle versioni a 64 bit di Firefox e probabilmente anche nelle prossime versioni a 32 bit (se non già in quella attuale).
C'è possibilità di non essere d'accordo? Sì, ma in ogni caso si tratta di una scelta motivata, spiegata e annunciata.

Offline Iceberg

  • Moderatore
  • Post: 7115
Re: ie tab v2
« Risposta #8 il: 31 Marzo 2017 23:29:24 »
Nell'ultimo commento all'estensione del 20 marzo scorso è riportato:

IE Tab V2 working with Firefox v52.0.1ESR


Offline deckard

  • Post: 2369
Re: ie tab v2
« Risposta #9 il: 01 Aprile 2017 19:45:50 »
Nei commenti comunque confermano che si tratta di un plugin NPAPI e la cosa la noto pure io verificando che all'interno del file xpi del componente aggiuntivo vi è una cartella "plugins"  con i file <<npietab2.dll>> e <<npietab2_x64.dll>>.
L'utilizzo del componente aggiuntivo e il relativo corretto funzionamento dipendono dal supporto ai plugin NPAPI.
Mi confermate, per cortesia, che Firefox v52.0.*ESR a 32 bit supporta altri plugin oltre a Flash e Silverlight?
Mi sembra di si ma non ne sono sicurissimo e non vorrei dire delle imprecisioni.
Se così fosse si potrà ebisognerà adoperare la versione a 32 bit di Firefox 52 ESR.
Premesso che si consiglia di adoperare una versione aggiornata del Browser, l'unica possibilità sarà passare a un Browser basato su Chromium fintanto che anche loro supporteranno il sistema scelto dall'autore del componente aggiuntivo o egli/ella/loro non modificherà il funzionamento per renderlo compatibile con le nuove versioni dei browser e mi sembra di capire che stia privilegiando i Browser basati su Chromium.

Offline trekfan1

  • Post: 418
    • http://www.startrekitalia.net
Re: ie tab v2
« Risposta #10 il: 04 Aprile 2017 09:38:09 »
Si tratta di questo componente aggiuntivo:
IE Tab V2 (Enhanced IE Tab) 6.2.18.1
https://addons.mozilla.org/it/firefox/addon/ie-tab-2-ff-36/
L'ultimo aggiornamento risale a Febbraio 2016 per renderlo compatibile con E10s (Multi-Process Firefox).
C'è la pagina ufficiale (https://www.ietab.net/) ma il gruppo di discussione (forum) è stato chiuso.
Non so se lo aggiorneranno per Firefox o se più plausibilmente ne faranno una versione compatibile con il nuovo sistema basato sulle Webextensions. Da quello che capisco si sono concentrati su Chrome. Aggiungiamoci poi il fatto che in Windows 10 il browser preinstallato e predefinito di base è e dovrebbe essere EDGE e IE (forse) può essere installato a parte.
(Probabilmente c'è un legame tra il "malfunzionamento" e il supporto ai plugin diversi da Flash e Silverlight. IeTab richiedeva la presenza di un plugin per "connettere Firefox a IE", detto in parole molto povere e approssimative...)

Edit: Aggiungo che forse l'unica possibilità è l'utilizzo di Firefox 45.8.0 ESR a 32 bit, in quanto la versione 52.0.2 ESR a 32 potrebbe non andare bene allo scopo. Si noti che Firefox 45.* verrà supportato ancora per circa 9/10 settimane.

IE su 10 è presente, infatti basta scrivere "explorer" (senza virgolette) tenendo premuto il tasto start per vedere comparire l'icona di IE

0 Utenti e 1 Visitatore stanno visualizzando questo topic.